Index: palm/trunk/SCRIPTS/.palm.config.atosb
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.atosb	(revision 4811)
+++ palm/trunk/SCRIPTS/.palm.config.atosb	(revision 4814)
@@ -3,19 +3,22 @@
 #name of variable  value of variable (~ must not be used)
 #----------------------------------------------------------------------------
+%base_directory      $HOME/palm/current_version
 %base_data           $HOME/palm/current_version/JOBS
-%base_directory      $HOME/palm/current_version
 %source_path         $HOME/palm/current_version/trunk/SOURCE
-%user_source_path    $base_directory/JOBS/$run_identifier/USER_CODE
+%user_source_path    $base_data/$run_identifier/USER_CODE
 %fast_io_catalog     /scratch/usr/<replace_by_your_HLRN_username>
-%local_jobcatalog    /home/<replace_by_your_local_username>/job_logfiles
-%remote_jobcatalog   /home/<replace_by_your_HLRN_username>/job_logfiles
+%restart_data_path   $fast_io_catalog
+%output_data_path    $base_data
+%local_jobcatalog    $base_data/$run_identifier/LOG_FILES
+%remote_jobcatalog   $base_data/$run_identifier/LOG_FILES
 
 %local_ip            <replace by IP of your local computer>
 %local_username      <replace_by_your_local_username>
-%remote_ip           130.75.105.103
+%remote_ip           130.73.234.1
 %remote_loginnode    blogin1
 %remote_username     <replace_by_your_HLRN_username>
 %ssh_key             id_rsa_hlrn
 %defaultqueue        standard96:test
+%project_account     <replace_by_your_default_HLRN_project_account>
 %submit_command      /cm/shared/apps/slurm/current/bin/sbatch
 
@@ -33,4 +36,6 @@
 # BATCH-directives to be used for batch jobs. If $-characters are required, hide them with 3 backslashes
 BD:#!/bin/bash
+#BD:#SBATCH --dependency=afterany:{{previous_job}}
+BD:#SBATCH -A {{project_account}}
 BD:#SBATCH --job-name={{run_id}}
 BD:#SBATCH --time={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
@@ -41,7 +46,10 @@
 BD:#SBATCH --output={{job_protocol_file}}
 BD:#SBATCH --error={{job_protocol_file}}
+#BD:#SBATCH --mail-type=ALL
+#BD:#SBATCH --mail-user=<replace_by_your_email_address>
 
 # BATCH-directives for batch jobs used to send back the jobfile from a remote to a local host
 BDT:#!/bin/bash
+BDT:#SBATCH -A {{project_account}}
 BDT:#SBATCH --job-name=job_transfer
 BDT:#SBATCH --time=00:30:00
@@ -74,5 +82,4 @@
 # OUTPUT-commands - executed when program terminates normally
 #----------------------------------------------------------------------------
-
 # Combine 1D- and 3D-profile output (these files are not usable for plotting)
 #OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
Index: palm/trunk/SCRIPTS/.palm.config.atosb_debug
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.atosb_debug	(revision 4811)
+++ palm/trunk/SCRIPTS/.palm.config.atosb_debug	(revision 4814)
@@ -3,19 +3,22 @@
 #name of variable  value of variable (~ must not be used)
 #----------------------------------------------------------------------------
+%base_directory      $HOME/palm/current_version
 %base_data           $HOME/palm/current_version/JOBS
-%base_directory      $HOME/palm/current_version
 %source_path         $HOME/palm/current_version/trunk/SOURCE
-%user_source_path    $base_directory/JOBS/$run_identifier/USER_CODE
+%user_source_path    $base_data/$run_identifier/USER_CODE
 %fast_io_catalog     /scratch/usr/<replace_by_your_HLRN_username>
-%local_jobcatalog    /home/<replace_by_your_local_username>/job_logfiles
-%remote_jobcatalog   /home/<replace_by_your_HLRN_username>/job_logfiles
+%restart_data_path   $fast_io_catalog
+%output_data_path    $base_data
+%local_jobcatalog    $base_data/$run_identifier/LOG_FILES
+%remote_jobcatalog   $base_data/$run_identifier/LOG_FILES
 
 %local_ip            <replace by IP of your local computer>
 %local_username      <replace_by_your_local_username>
-%remote_ip           130.75.105.103
+%remote_ip           130.73.234.1
 %remote_loginnode    blogin1
 %remote_username     <replace_by_your_HLRN_username>
 %ssh_key             id_rsa_hlrn
 %defaultqueue        standard96:test
+%project_account     <replace_by_your_default_HLRN_project_account>
 %submit_command      /cm/shared/apps/slurm/current/bin/sbatch
 
@@ -33,4 +36,6 @@
 # BATCH-directives to be used for batch jobs. If $-characters are required, hide them with 3 backslashes
 BD:#!/bin/bash
+#BD:#SBATCH --dependency=afterany:{{previous_job}}
+BD:#SBATCH -A {{project_account}}
 BD:#SBATCH --job-name={{run_id}}
 BD:#SBATCH --time={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
@@ -41,7 +46,10 @@
 BD:#SBATCH --output={{job_protocol_file}}
 BD:#SBATCH --error={{job_protocol_file}}
+#BD:#SBATCH --mail-type=ALL
+#BD:#SBATCH --mail-user=<replace_by_your_email_address>
 
 # BATCH-directives for batch jobs used to send back the jobfile from a remote to a local host
 BDT:#!/bin/bash
+BDT:#SBATCH -A {{project_account}}
 BDT:#SBATCH --job-name=job_transfer
 BDT:#SBATCH --time=00:30:00
@@ -74,5 +82,4 @@
 # OUTPUT-commands - executed when program terminates normally
 #----------------------------------------------------------------------------
-
 # Combine 1D- and 3D-profile output (these files are not usable for plotting)
 #OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
Index: palm/trunk/SCRIPTS/.palm.config.atosg
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.atosg	(revision 4811)
+++ palm/trunk/SCRIPTS/.palm.config.atosg	(revision 4814)
@@ -3,12 +3,14 @@
 #name of variable  value of variable (~ must not be used)
 #----------------------------------------------------------------------------
+%base_directory      $HOME/palm/current_version
 %base_data           $HOME/palm/current_version/JOBS
-%base_directory      $HOME/palm/current_version
 %source_path         $HOME/palm/current_version/trunk/SOURCE
-%user_source_path    $base_directory/JOBS/$run_identifier/USER_CODE
+%user_source_path    $base_data/$run_identifier/USER_CODE
 %fast_io_catalog     /scratch/usr/<replace_by_your_HLRN_username>
-%local_jobcatalog    /home/<replace_by_your_local_username>/job_logfiles
-%remote_jobcatalog   /home/<replace_by_your_HLRN_username>/job_logfiles
-#
+%restart_data_path   $fast_io_catalog
+%output_data_path    $base_data
+%local_jobcatalog    $base_data/$run_identifier/LOG_FILES
+%remote_jobcatalog   $base_data/$run_identifier/LOG_FILES
+
 %local_ip            <replace by IP of your local computer>
 %local_username      <replace_by_your_local_username>
@@ -18,4 +20,5 @@
 %ssh_key             id_rsa_hlrn
 %defaultqueue        standard96:test
+%project_account     <replace_by_your_default_HLRN_project_account>
 %submit_command      /cm/shared/batch/bin/sbatch
 
@@ -33,4 +36,6 @@
 # BATCH-directives to be used for batch jobs. If $-characters are required, hide them with 3 backslashes
 BD:#!/bin/bash
+#BD:#SBATCH --dependency=afterany:{{previous_job}}
+BD:#SBATCH -A {{project_account}}
 BD:#SBATCH --job-name={{run_id}}
 BD:#SBATCH --time={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
@@ -41,8 +46,10 @@
 BD:#SBATCH --output={{job_protocol_file}}
 BD:#SBATCH --error={{job_protocol_file}}
+#BD:#SBATCH --mail-type=ALL
+#BD:#SBATCH --mail-user=<replace_by_your_email_address>
 
-#
 # BATCH-directives for batch jobs used to send back the jobfile from a remote to a local host
 BDT:#!/bin/bash
+BDT:#SBATCH -A {{project_account}}
 BDT:#SBATCH --job-name=job_transfer
 BDT:#SBATCH --time=00:30:00
@@ -75,9 +82,8 @@
 # OUTPUT-commands - executed when program terminates normally
 #----------------------------------------------------------------------------
-
 # Combine 1D- and 3D-profile output (these files are not usable for plotting)
-OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
-OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
+#OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
+#OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
 
 # Combine all particle information files
-OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
+#OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
Index: palm/trunk/SCRIPTS/.palm.config.atosg_debug
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.atosg_debug	(revision 4811)
+++ palm/trunk/SCRIPTS/.palm.config.atosg_debug	(revision 4814)
@@ -3,12 +3,14 @@
 #name of variable  value of variable (~ must not be used)
 #----------------------------------------------------------------------------
+%base_directory      $HOME/palm/current_version
 %base_data           $HOME/palm/current_version/JOBS
-%base_directory      $HOME/palm/current_version
 %source_path         $HOME/palm/current_version/trunk/SOURCE
-%user_source_path    $base_directory/JOBS/$run_identifier/USER_CODE
+%user_source_path    $base_data/$run_identifier/USER_CODE
 %fast_io_catalog     /scratch/usr/<replace_by_your_HLRN_username>
-%local_jobcatalog    /home/<replace_by_your_local_username>/job_logfiles
-%remote_jobcatalog   /home/<replace_by_your_HLRN_username>/job_logfiles
-#
+%restart_data_path   $fast_io_catalog
+%output_data_path    $base_data
+%local_jobcatalog    $base_data/$run_identifier/LOG_FILES
+%remote_jobcatalog   $base_data/$run_identifier/LOG_FILES
+
 %local_ip            <replace by IP of your local computer>
 %local_username      <replace_by_your_local_username>
@@ -18,4 +20,5 @@
 %ssh_key             id_rsa_hlrn
 %defaultqueue        standard96:test
+%project_account     <replace_by_your_default_HLRN_project_account>
 %submit_command      /cm/shared/batch/bin/sbatch
 
@@ -33,4 +36,6 @@
 # BATCH-directives to be used for batch jobs. If $-characters are required, hide them with 3 backslashes
 BD:#!/bin/bash
+#BD:#SBATCH --dependency=afterany:{{previous_job}}
+BD:#SBATCH -A {{project_account}}
 BD:#SBATCH --job-name={{run_id}}
 BD:#SBATCH --time={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
@@ -41,8 +46,10 @@
 BD:#SBATCH --output={{job_protocol_file}}
 BD:#SBATCH --error={{job_protocol_file}}
+#BD:#SBATCH --mail-type=ALL
+#BD:#SBATCH --mail-user=<replace_by_your_email_address>
 
-#
 # BATCH-directives for batch jobs used to send back the jobfile from a remote to a local host
 BDT:#!/bin/bash
+BDT:#SBATCH -A {{project_account}}
 BDT:#SBATCH --job-name=job_transfer
 BDT:#SBATCH --time=00:30:00
@@ -75,9 +82,8 @@
 # OUTPUT-commands - executed when program terminates normally
 #----------------------------------------------------------------------------
-
 # Combine 1D- and 3D-profile output (these files are not usable for plotting)
-OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
-OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
+#OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
+#OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
 
 # Combine all particle information files
-OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
+#OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
Index: palm/trunk/SCRIPTS/.palm.config.aurora
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.aurora	(revision 4811)
+++ palm/trunk/SCRIPTS/.palm.config.aurora	(revision 4814)
@@ -3,13 +3,18 @@
 #name of variable  value of variable (~ must not be used)
 #----------------------------------------------------------------------------
-%base_data         ~/palm/current_version/JOBS
-%base_directory    $HOME/palm/current_version
-%fast_io_catalog   /scratch/<replace by LUIS username>
-%source_path       $HOME/palm/current_version/trunk/SOURCE
-%user_source_path  $base_directory/JOBS/$run_identifier/USER_CODE
-%local_jobcatalog  $HOME/job_queue
-#
+%base_directory      $HOME/palm/current_version
+%base_data           ~/palm/current_version/JOBS
+%source_path         $HOME/palm/current_version/trunk/SOURCE
+%user_source_path    $base_data/$run_identifier/USER_CODE
+%fast_io_catalog     /scratch/<replace by LUIS username>
+%restart_data_path   /scratch/<replace by LUIS username>
+%output_data_path    $base_data
+%local_jobcatalog    $base_data/$run_identifier/LOG_FILES
+
 %local_ip            130.75.7.130
 %local_username      <replace by LUIS username>
+%defaultqueue        all
+%submit_command      /usr/bin/qsub
+
 %compiler_name       mpinfort
 %compiler_name_ser   mpinfort
@@ -18,37 +23,13 @@
 %compiler_options    -O3 -traceback -finline-functions -g -report-all -Werror -I /home/nhbkklau/opt/NetCDF_parallel_nec/include -I /home/nhbkklau/opt/fftw3_nec/include
 %linker_options      -L/home/nhbkklau/opt/NetCDF_parallel_nec/lib -lnetcdff -lnetcdf -Wl,-rpath=/home/nhbkklau/opt/NetCDF_parallel_nec/lib -L/home/nhbkklau/opt/hdf5_parallel_nec/lib -lhdf5 -lhdf5_hl -Wl,-rpath=/home/nhbkklau/opt/hdf5_parallel_nec/lib -L/home/nhbkklau/opt/fftw3_nec/lib -lfftw3 -lmpi
-#%hostfile            auto
-%defaultqueue        all
-%submit_command      /usr/bin/qsub
+%execute_command     mpirun -v -ve 0-3  -np {{mpi_tasks}}  ./palm
 %memory              2000
 %login_init_cmd      source /opt/nec/ve/mpi/2.2.0/bin/necmpivars.sh
-%execute_command     mpirun -v -ve 0-3  -np {{mpi_tasks}}  ./palm
-#
-#----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
-#----------------------------------------------------------------------------
-#IC:ulimit -s unlimited
-#
-#----------------------------------------------------------------------------
-# ERROR-commands - executed when program terminates abnormally
-#----------------------------------------------------------------------------
-EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
-EC:[[ \$locat = execution ]]  &&  cat  PARTICLE_INFOS/*
-#
-#----------------------------------------------------------------------------
-# OUTPUT-commands - executed when program terminates normally
-#----------------------------------------------------------------------------
-#
-# Combine 1D- and 3D-profile output (these files are not usable for plotting)
-OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
-OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
-#
-# Combine all particle information files
-OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
-#
+
 # BATCH-directives to be used for batch jobs.
-# ATTENTION: The batch following batch directives still need to be adjusted for the
+# ATTENTION: The following batch directives still need to be adjusted for the
 #            NEC Aurora system!!!!!!!!!!!!!!
 BD:#!/bin/bash
+#BD:#PBS -A {{project_account}}
 BD:#PBS -N {{run_id}}
 BD:#PBS -l walltime={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
@@ -60,2 +41,23 @@
 BD:#PBS -j oe
 BD:#PBS -q {{queue}}
+
+#----------------------------------------------------------------------------
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
+#----------------------------------------------------------------------------
+#IC:ulimit -s unlimited
+
+#----------------------------------------------------------------------------
+# ERROR-commands - executed when program terminates abnormally
+#----------------------------------------------------------------------------
+EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
+EC:[[ \$locat = execution ]]  &&  cat  PARTICLE_INFOS/*
+
+#----------------------------------------------------------------------------
+# OUTPUT-commands - executed when program terminates normally
+#----------------------------------------------------------------------------
+# Combine 1D- and 3D-profile output (these files are not usable for plotting)
+OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
+OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
+
+# Combine all particle information files
+OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
Index: palm/trunk/SCRIPTS/.palm.config.aurora_debug
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.aurora_debug	(revision 4811)
+++ palm/trunk/SCRIPTS/.palm.config.aurora_debug	(revision 4814)
@@ -3,13 +3,18 @@
 #name of variable  value of variable (~ must not be used)
 #----------------------------------------------------------------------------
-%base_data         ~/palm/current_version/JOBS
-%base_directory    $HOME/palm/current_version
-%fast_io_catalog   /scratch/<replace by LUIS username>
-%source_path       $HOME/palm/current_version/trunk/SOURCE
-%user_source_path  $base_directory/JOBS/$run_identifier/USER_CODE
-%local_jobcatalog  $HOME/job_queue
-#
+%base_directory      $HOME/palm/current_version
+%base_data           ~/palm/current_version/JOBS
+%source_path         $HOME/palm/current_version/trunk/SOURCE
+%user_source_path    $base_data/$run_identifier/USER_CODE
+%fast_io_catalog     /scratch/<replace by LUIS username>
+%restart_data_path   /scratch/<replace by LUIS username>
+%output_data_path    $base_data
+%local_jobcatalog    $base_data/$run_identifier/LOG_FILES
+
 %local_ip            130.75.7.130
 %local_username      <replace by LUIS username>
+%defaultqueue        all
+%submit_command      /usr/bin/qsub
+
 %compiler_name       mpinfort
 %compiler_name_ser   mpinfort
@@ -18,40 +23,13 @@
 %compiler_options    -O0 -fcheck=all -traceback -ftrace -proginf -report-all -g -Werror -fdiag-vector=0  -I /home/nhbkklau/opt/NetCDF_parallel_nec/include -I /home/nhbkklau/opt/fftw3_nec/include
 %linker_options      -ftrace -L/home/nhbkklau/opt/NetCDF_parallel_nec/lib -lnetcdff -lnetcdf -Wl,-rpath=/home/nhbkklau/opt/NetCDF_parallel_nec/lib -L/home/nhbkklau/opt/hdf5_parallel_nec/lib -lhdf5 -lhdf5_hl -Wl,-rpath=/home/nhbkklau/opt/hdf5_parallel_nec/lib -L/home/nhbkklau/opt/fftw3_nec/lib -lfftw3 -lmpi
-#%hostfile            auto
-%defaultqueue        all
-%submit_command      /usr/bin/qsub
+%execute_command     mpirun -v -ve 0  -np {{mpi_tasks}}  ./palm
 %memory              2000
 %login_init_cmd      source /opt/nec/ve/mpi/2.2.0/bin/necmpivars.sh
-%execute_command     mpirun -v -ve 0  -np {{mpi_tasks}}  ./palm
-#
-#----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
-#----------------------------------------------------------------------------
-#IC:ulimit -s unlimited
-IC:export VE_ERRCTL_DEALLOCATE=ABORT
-IC:export VE_FPE_ENABLE=DIV,FOF,INV
-IC:export VE_TRACEBACK=ALL
-#
-#----------------------------------------------------------------------------
-# ERROR-commands - executed when program terminates abnormally
-#----------------------------------------------------------------------------
-EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
-EC:[[ \$locat = execution ]]  &&  cat  PARTICLE_INFOS/*
-#
-#----------------------------------------------------------------------------
-# OUTPUT-commands - executed when program terminates normally
-#----------------------------------------------------------------------------
-#
-# Combine 1D- and 3D-profile output (these files are not usable for plotting)
-OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
-OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
-#
-# Combine all particle information files
-OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
-#
+
 # BATCH-directives to be used for batch jobs.
-# ATTENTION: The batch following batch directives still need to be adjusted for the
+# ATTENTION: The following batch directives still need to be adjusted for the
 #            NEC Aurora system!!!!!!!!!!!!!!
 BD:#!/bin/bash
+#BD:#PBS -A {{project_account}}
 BD:#PBS -N {{run_id}}
 BD:#PBS -l walltime={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
@@ -63,2 +41,26 @@
 BD:#PBS -j oe
 BD:#PBS -q {{queue}}
+
+#----------------------------------------------------------------------------
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
+#----------------------------------------------------------------------------
+#IC:ulimit -s unlimited
+IC:export VE_ERRCTL_DEALLOCATE=ABORT
+IC:export VE_FPE_ENABLE=DIV,FOF,INV
+IC:export VE_TRACEBACK=ALL
+
+#----------------------------------------------------------------------------
+# ERROR-commands - executed when program terminates abnormally
+#----------------------------------------------------------------------------
+EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
+EC:[[ \$locat = execution ]]  &&  cat  PARTICLE_INFOS/*
+
+#----------------------------------------------------------------------------
+# OUTPUT-commands - executed when program terminates normally
+#----------------------------------------------------------------------------
+# Combine 1D- and 3D-profile output (these files are not usable for plotting)
+OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
+OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
+
+# Combine all particle information files
+OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
Index: palm/trunk/SCRIPTS/.palm.config.default
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.default	(revision 4811)
+++ palm/trunk/SCRIPTS/.palm.config.default	(revision 4814)
@@ -4,26 +4,38 @@
 #-----------------------------------------------------------------------------
 # working directory from where palmrun or palmbuild are called
-%base_directory    $HOME/palm/current_version
+%base_directory      $HOME/palm/current_version
 
 # directory where PALM I/O is stored (used in .palm.iofiles)
-%base_data         ~/palm/current_version/JOBS
+%base_data           ~/palm/current_version/JOBS
 
 # path to PALM's FORTRAN sources (installation folder)
-%source_path       $HOME/palm/current_version/trunk/SOURCE
+%source_path         $base_directory/trunk/SOURCE
 
 # path to user interface routines
-%user_source_path  $base_directory/JOBS/$run_identifier/USER_CODE
+%user_source_path    $base_data/$run_identifier/USER_CODE
 
-# path to file system with fast discs (if available). This folder
-# is used for temporary catalogs generated by palmrun and to store large
-# I/O files (used in .palm.iofiles). This folder must be accessible from
-# all compute nodes, i.e. it must reside in a global file system
-%fast_io_catalog   <replace by a folder name which allows for fast I/O>
+# path to temporary working directory. This folder contains the files
+# temporarily created by PALM during execution.
+# WARNING:
+# Large I/O files are generated during execution! It is recommended to direct
+# this path to a file system with fast discs (if available). This folder must
+# be accessible from all compute nodes, i.e. it must reside in a global file
+# system.
+%fast_io_catalog     $base_directory/tmp
+
+# directory where PALM restart files are stored. It is recommended to set this
+# path to the same file system as the temporary directory (fast_io_catalog) to
+# allow internal linking of the restart files instead of copying (increases
+# post-processing performance of palmrun).
+%restart_data_path   $fast_io_catalog
+
+# directory where PALM output files are stored (see also .palm.iofiles)
+%output_data_path    $base_data
 
 # folder for job protocols
-#%local_jobcatalog    $HOME/job_logfiles
+%local_jobcatalog    $base_data/$run_identifier/LOG_FILES
 
 # folder for job protocols to be used on the remote host
-#%remote_jobcatalog   <path/to/directory on remote host>
+#%remote_jobcatalog   $local_jobcatalog
 
 # local ip of your computer. Use 127.0.0.0 if you are running PALM
@@ -49,4 +61,9 @@
 #%defaultqueue        <queue>
 
+# default project account to be used if palmrun-option -A is omitted. For this
+# setting to be active, the batch directive must also be activated (see BD and
+# BDT settings below).
+#%project_account     <project-account>
+
 # command to submit batch jobs
 #%submit_command      /opt/moab/default/bin/msub -E
@@ -65,14 +82,14 @@
 
 # options to be used to compile PALM
-%compiler_options    -fpe0 -O3 -xHost -fp-model source -ftz -no-prec-div -no-prec-sqrt -ip -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
+%compiler_options    -fpe0 -O3 -xHost -fp-model source -ftz -no-prec-div -no-prec-sqrt -ip -I /path/to/fftw/include -I /path/to/netcdf/include
 
 # options to be used to link the PALM executable
-%linker_options      -fpe0 -O3 -xHost -fp-model source -ftz -no-prec-div -no-prec-sqrt -ip -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
+%linker_options      -L/path/to/fftw/lib -lfftw3 -L/path/to/netcdf/lib -lnetcdf -lnetcdff
 
-# name of hostfile to be used
-%hostfile            auto
+# name of hostfile to be used (see online documentation for more details)
+#%hostfile            auto
 
 # command to start the PALM executable
-%execute_command     mpiexec  -machinefile hostfile  -n {{mpi_tasks}}  palm
+%execute_command     mpirun -n {{mpi_tasks}}  ./palm
 
 # memory request per core
@@ -80,12 +97,68 @@
 
 # module commands to load required libraries
-#%module_commands     module switch craype-ivybridge craype-haswell; module load fftw cray-hdf5-parallel cray-netcdf-hdf5parallel
+#%module_commands     module switch env-ivybridge env-haswell && module load fftw netcdf
 
 # special commands to be carried out at login and start of batch jobs on the remote host
 #%login_init_cmd      .execute_special_profile
 
+#-------------------------------------------------------------------------------
+# Directives to be used for batch jobs
+# Lines must start with "BD:". If $-characters are required, hide them with \
+# Internal variables can be used as {{variable_name}}. Please see documentation.
+#-------------------------------------------------------------------------------
+# Example using PBS:
+BD:#!/bin/bash
+#BD:#PBS -A {{project_account}}
+BD:#PBS -N {{run_id}}
+BD:#PBS -l walltime={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
+BD:#PBS -l nodes={{nodes}}:ppn={{tasks_per_node}}
+BD:#PBS -o {{job_protocol_file}}
+BD:#PBS -j oe
+BD:#PBS -q {{queue}}
+#
+# Example using SLURM:
+#BD:#!/bin/bash
+##BD:#SBATCH --dependency=afterany:{{previous_job}}
+#BD:#SBATCH -A {{project_account}}
+#BD:#SBATCH --job-name={{run_id}}
+#BD:#SBATCH --time={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
+#BD:#SBATCH --ntasks={{mpi_tasks}}
+#BD:#SBATCH --nodes={{nodes}}
+#BD:#SBATCH --ntasks-per-node={{tasks_per_node}}
+#BD:#SBATCH --partition={{queue}}
+#BD:#SBATCH --output={{job_protocol_file}}
+#BD:#SBATCH --error={{job_protocol_file}}
+#BD:#SBATCH --mail-type=ALL
+#BD:#SBATCH --mail-user=user@somewhere
+
+#-------------------------------------------------------------------------------
+# Directives for batch jobs used to send back the jobfiles from a remote to a local host
+# Lines must start with "BDT:". If $-characters are required, excape them with triple backslash
+# Internal variables can be used as {{variable_name}}. Please see documentation.
+#-------------------------------------------------------------------------------
+# Example using PBS:
+BDT:#!/bin/bash
+#BDT:#PBS -A {{project_account}}
+BDT:#PBS -N job_protocol_transfer
+BDT:#PBS -l walltime=00:30:00
+BDT:#PBS -l nodes=1:ppn=1
+BDT:#PBS -o {{job_transfer_protocol_file}}
+BDT:#PBS -j oe
+BDT:#PBS -q dataq
+#
+# Example using SLURM:
+#BDT:#!/bin/bash
+#BDT:#SBATCH -A {{project_account}}
+#BDT:#SBATCH --job-name=job_transfer
+#BDT:#SBATCH --time=00:30:00
+#BDT:#SBATCH --ntasks=1
+#BDT:#SBATCH --nodes=1
+#BDT:#SBATCH --ntasks-per-node=1
+#BDT:#SBATCH --partition={{queue}}
+#BDT:#SBATCH --output={{job_transfer_protocol_file}}
+#BDT:#SBATCH --error={{job_transfer_protocol_file}}
 
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:ulimit -s unlimited
@@ -100,30 +173,2 @@
 #----------------------------------------------------------------------------
 #OC:echo \\\"PALM job finished\\\" | mailx user@somewhere
-
-
-#-------------------------------------------------------------------------------
-# Directives to be used for batch jobs
-# Lines must start with "BD:". If $-characters are required, hide them with \
-# Internal variables can be used as {{variable_name}}. Please see documentation.
-#-------------------------------------------------------------------------------
-BD:#!/bin/bash
-BD:#PBS -N {{run_id}}
-BD:#PBS -l walltime={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
-BD:#PBS -l nodes={{nodes}}:ppn={{tasks_per_node}}
-BD:#PBS -o {{job_protocol_file}}
-BD:#PBS -j oe
-BD:#PBS -q {{queue}}
-
-
-#-------------------------------------------------------------------------------
-# Directives for batch jobs used to send back the jobfiles from a remote to a local host
-# Lines must start with "BDT:". If $-characters are required, excape them with triple backslash
-# Internal variables can be used as {{variable_name}}. Please see documentation.
-#-------------------------------------------------------------------------------
-BDT:#!/bin/bash
-BDT:#PBS -N job_protocol_transfer
-BDT:#PBS -l walltime=00:30:00
-BDT:#PBS -l nodes=1:ppn=1
-BDT:#PBS -o {{job_transfer_protocol_file}}
-BDT:#PBS -j oe
-BDT:#PBS -q dataq
Index: palm/trunk/SCRIPTS/.palm.config.default.in
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.default.in	(revision 4811)
+++ palm/trunk/SCRIPTS/.palm.config.default.in	(revision 4814)
@@ -15,5 +15,7 @@
 %user_source_path    @CMAKE_INSTALL_PREFIX@/JOBS/$run_identifier/USER_CODE
 %fast_io_catalog     @CMAKE_INSTALL_PREFIX@/tmp
-%local_jobcatalog    @CMAKE_INSTALL_PREFIX@/job_logfiles
+%restart_data_path   @CMAKE_INSTALL_PREFIX@/tmp
+%output_data_path    @CMAKE_INSTALL_PREFIX@/JOBS
+%local_jobcatalog    @CMAKE_INSTALL_PREFIX@/JOBS/$run_identifier/LOG_FILES
 #%remote_jobcatalog   <path/to/directory>
 #
@@ -29,4 +31,5 @@
 #
 #%defaultqueue        <queue>
+#%project_account     <project-account>
 #%submit_command      /opt/moab/default/bin/msub -E
 #
@@ -48,4 +51,5 @@
 #-------------------------------------------------------------------------------
 BD:#!/bin/bash
+#BD:#PBS -A {{project_account}}
 BD:#PBS -N {{run_id}}
 BD:#PBS -l walltime={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
@@ -61,4 +65,5 @@
 #-------------------------------------------------------------------------------
 BDT:#!/bin/bash
+#BDT:#PBS -A {{project_account}}
 BDT:#PBS -N job_protocol_transfer
 BDT:#PBS -l walltime=00:30:00
@@ -69,6 +74,6 @@
 #
 #-------------------------------------------------------------------------------
-# INPUT-commands. These commands are executed before running PALM 
-# Lines must start with "IC:" 
+# INPUT-commands. These commands are executed before running PALM
+# Lines must start with "IC:"
 #-------------------------------------------------------------------------------
 IC:ulimit  -s unlimited
@@ -76,5 +81,5 @@
 #-------------------------------------------------------------------------------
 # ERROR-commands. These commands are executed when PALM terminates abnormally
-# Lines must start with "EC:" 
+# Lines must start with "EC:"
 #-------------------------------------------------------------------------------
 EC:[[ $locat = execution ]]  &&  cat  RUN_CONTROL
@@ -82,5 +87,5 @@
 #-------------------------------------------------------------------------------
 # OUTPUT-commands. These commands are executed when PALM terminates normally
-# Lines must start with "OC:" 
+# Lines must start with "OC:"
 #-------------------------------------------------------------------------------
 #
@@ -91,3 +96,2 @@
 # Combine all particle information files
 OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
-
Index: palm/trunk/SCRIPTS/.palm.config.default_trace
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.default_trace	(revision 4811)
+++ palm/trunk/SCRIPTS/.palm.config.default_trace	(revision 4814)
@@ -4,26 +4,38 @@
 #-----------------------------------------------------------------------------
 # working directory from where palmrun or palmbuild are called
-%base_directory    $HOME/palm/current_version
+%base_directory      $HOME/palm/current_version
 
 # directory where PALM I/O is stored (used in .palm.iofiles)
-%base_data         ~/palm/current_version/JOBS
+%base_data           ~/palm/current_version/JOBS
 
 # path to PALM's FORTRAN sources (installation folder)
-%source_path       $HOME/palm/current_version/trunk/SOURCE
+%source_path         $base_directory/trunk/SOURCE
 
 # path to user interface routines
-%user_source_path  $base_directory/JOBS/$run_identifier/USER_CODE
+%user_source_path    $base_data/$run_identifier/USER_CODE
 
-# path to file system with fast discs (if available). This folder
-# is used for temporary catalogs generated by palmrun and to store large
-# I/O files (used in .palm.iofiles). This folder must be accessible from
-# all compute nodes, i.e. it must reside in a global file system
-%fast_io_catalog   <replace by a folder name which allows for fast I/O>
+# path to temporary working directory. This folder contains the files
+# temporarily created by PALM during execution.
+# WARNING:
+# Large I/O files are generated during execution! It is recommended to direct
+# this path to a file system with fast discs (if available). This folder must
+# be accessible from all compute nodes, i.e. it must reside in a global file
+# system.
+%fast_io_catalog     $base_directory/tmp
+
+# directory where PALM restart files are stored. It is recommended to set this
+# path to the same file system as the temporary directory (fast_io_catalog) to
+# allow internal linking of the restart files instead of copying (increases
+# post-processing performance of palmrun).
+%restart_data_path   $fast_io_catalog
+
+# directory where PALM output files are stored (see also .palm.iofiles)
+%output_data_path    $base_data
 
 # folder for job protocols
-#%local_jobcatalog    $HOME/job_logfiles
+%local_jobcatalog    $base_data/$run_identifier/LOG_FILES
 
 # folder for job protocols to be used on the remote host
-#%remote_jobcatalog   <path/to/directory on remote host>
+#%remote_jobcatalog   $local_jobcatalog
 
 # local ip of your computer. Use 127.0.0.0 if you are running PALM
@@ -49,4 +61,9 @@
 #%defaultqueue        <queue>
 
+# default project account to be used if palmrun-option -A is omitted. For this
+# setting to be active, the batch directive must also be activated (see BD and
+# BDT settings below).
+#%project_account     <project-account>
+
 # command to submit batch jobs
 #%submit_command      /opt/moab/default/bin/msub -E
@@ -64,15 +81,15 @@
 %make_options        -j 4
 
-# options to be used to compile PALM in debug mode
-%compiler_options    -fpe0 -O0 -check -check nooutput_conversion-ffree-line-length-none  -traceback -g -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
+# options to be used to compile PALM
+%compiler_options    -fpe0 -O0 -check -check nooutput_conversion-ffree-line-length-none  -traceback -g -I /path/to/fftw/include -I /path/to/netcdf/include
 
 # options to be used to link the PALM executable
-%linker_options      -fpe0 -O0 -check -check nooutput_conversion -ffree-line-length-none -traceback -g -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
+%linker_options      -L/path/to/fftw/lib -lfftw3 -L/path/to/netcdf/lib -lnetcdf -lnetcdff
 
-# name of hostfile to be used
-%hostfile            auto
+# name of hostfile to be used (see online documentation for more details)
+#%hostfile            auto
 
 # command to start the PALM executable
-%execute_command     mpiexec  -machinefile hostfile  -n {{mpi_tasks}}  palm
+%execute_command     mpirun -n {{mpi_tasks}}  ./palm
 
 # memory request per core
@@ -80,12 +97,68 @@
 
 # module commands to load required libraries
-#%module_commands     module switch craype-ivybridge craype-haswell; module load fftw cray-hdf5-parallel cray-netcdf-hdf5parallel
+#%module_commands     module switch env-ivybridge env-haswell && module load fftw netcdf
 
 # special commands to be carried out at login and start of batch jobs on the remote host
 #%login_init_cmd      .execute_special_profile
 
+#-------------------------------------------------------------------------------
+# Directives to be used for batch jobs
+# Lines must start with "BD:". If $-characters are required, hide them with \
+# Internal variables can be used as {{variable_name}}. Please see documentation.
+#-------------------------------------------------------------------------------
+# Example using PBS:
+BD:#!/bin/bash
+#BD:#PBS -A {{project_account}}
+BD:#PBS -N {{run_id}}
+BD:#PBS -l walltime={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
+BD:#PBS -l nodes={{nodes}}:ppn={{tasks_per_node}}
+BD:#PBS -o {{job_protocol_file}}
+BD:#PBS -j oe
+BD:#PBS -q {{queue}}
+#
+# Example using SLURM:
+#BD:#!/bin/bash
+##BD:#SBATCH --dependency=afterany:{{previous_job}}
+#BD:#SBATCH -A {{project_account}}
+#BD:#SBATCH --job-name={{run_id}}
+#BD:#SBATCH --time={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
+#BD:#SBATCH --ntasks={{mpi_tasks}}
+#BD:#SBATCH --nodes={{nodes}}
+#BD:#SBATCH --ntasks-per-node={{tasks_per_node}}
+#BD:#SBATCH --partition={{queue}}
+#BD:#SBATCH --output={{job_protocol_file}}
+#BD:#SBATCH --error={{job_protocol_file}}
+#BD:#SBATCH --mail-type=ALL
+#BD:#SBATCH --mail-user=user@somewhere
+
+#-------------------------------------------------------------------------------
+# Directives for batch jobs used to send back the jobfiles from a remote to a local host
+# Lines must start with "BDT:". If $-characters are required, excape them with triple backslash
+# Internal variables can be used as {{variable_name}}. Please see documentation.
+#-------------------------------------------------------------------------------
+# Example using PBS:
+BDT:#!/bin/bash
+#BDT:#PBS -A {{project_account}}
+BDT:#PBS -N job_protocol_transfer
+BDT:#PBS -l walltime=00:30:00
+BDT:#PBS -l nodes=1:ppn=1
+BDT:#PBS -o {{job_transfer_protocol_file}}
+BDT:#PBS -j oe
+BDT:#PBS -q dataq
+#
+# Example using SLURM:
+#BDT:#!/bin/bash
+#BDT:#SBATCH -A {{project_account}}
+#BDT:#SBATCH --job-name=job_transfer
+#BDT:#SBATCH --time=00:30:00
+#BDT:#SBATCH --ntasks=1
+#BDT:#SBATCH --nodes=1
+#BDT:#SBATCH --ntasks-per-node=1
+#BDT:#SBATCH --partition={{queue}}
+#BDT:#SBATCH --output={{job_transfer_protocol_file}}
+#BDT:#SBATCH --error={{job_transfer_protocol_file}}
 
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:ulimit -s unlimited
@@ -100,30 +173,2 @@
 #----------------------------------------------------------------------------
 #OC:echo \\\"PALM job finished\\\" | mailx user@somewhere
-
-
-#-------------------------------------------------------------------------------
-# Directives to be used for batch jobs
-# Lines must start with "BD:". If $-characters are required, hide them with \
-# Internal variables can be used as {{variable_name}}. Please see documentation.
-#-------------------------------------------------------------------------------
-BD:#!/bin/bash
-BD:#PBS -N {{run_id}}
-BD:#PBS -l walltime={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
-BD:#PBS -l nodes={{nodes}}:ppn={{tasks_per_node}}
-BD:#PBS -o {{job_protocol_file}}
-BD:#PBS -j oe
-BD:#PBS -q {{queue}}
-
-
-#-------------------------------------------------------------------------------
-# Directives for batch jobs used to send back the jobfiles from a remote to a local host
-# Lines must start with "BDT:". If $-characters are required, excape them with triple backslash
-# Internal variables can be used as {{variable_name}}. Please see documentation.
-#-------------------------------------------------------------------------------
-BDT:#!/bin/bash
-BDT:#PBS -N job_protocol_transfer
-BDT:#PBS -l walltime=00:30:00
-BDT:#PBS -l nodes=1:ppn=1
-BDT:#PBS -o {{job_transfer_protocol_file}}
-BDT:#PBS -j oe
-BDT:#PBS -q dataq
Index: palm/trunk/SCRIPTS/.palm.config.eddy_gfort
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.eddy_gfort	(revision 4811)
+++ palm/trunk/SCRIPTS/.palm.config.eddy_gfort	(revision 4814)
@@ -3,10 +3,11 @@
 #name of variable  value of variable (~ must not be used)
 #----------------------------------------------------------------------------
+%base_directory      $HOME/palm/current_version
 %base_data           $HOME/palm/current_version/JOBS
-%output_data         $WORK/palm/current_version/JOBS
-%base_directory      $HOME/palm/current_version
 %source_path         $HOME/palm/current_version/trunk/SOURCE
-%user_source_path    $base_directory/JOBS/$run_identifier/USER_CODE
+%user_source_path    $base_data/$run_identifier/USER_CODE
 %fast_io_catalog     $WORK/palm_restart_tmp
+%restart_data_path   $fast_io_catalog
+%output_data_path    $WORK/palm/current_version/JOBS
 %local_jobcatalog    $HOME/job_queue
 ################################################################################
@@ -43,5 +44,5 @@
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 IC:export ATP_ENABLED=1
@@ -57,5 +58,4 @@
 # OUTPUT-commands - executed when program terminates normally
 #----------------------------------------------------------------------------
-#
 # Combine 1D- and 3D-profile output (these files are not usable for plotting)
 OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
Index: palm/trunk/SCRIPTS/.palm.config.eddy_ifort
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.eddy_ifort	(revision 4811)
+++ palm/trunk/SCRIPTS/.palm.config.eddy_ifort	(revision 4814)
@@ -3,10 +3,11 @@
 #name of variable  value of variable (~ must not be used)
 #----------------------------------------------------------------------------
+%base_directory      $HOME/palm/current_version
 %base_data           $HOME/palm/current_version/JOBS
-%output_data         $WORK/palm/current_version/JOBS
-%base_directory      $HOME/palm/current_version
 %source_path         $HOME/palm/current_version/trunk/SOURCE
-%user_source_path    $base_directory/JOBS/$run_identifier/USER_CODE
+%user_source_path    $base_data/$run_identifier/USER_CODE
 %fast_io_catalog     $WORK/palm_restart_tmp
+%restart_data_path   $fast_io_catalog
+%output_data_path    $WORK/palm/current_version/JOBS
 %local_jobcatalog    $HOME/job_queue
 ################################################################################
@@ -27,5 +28,5 @@
 %execute_command_for_combine     mpirun  -n 1  ./combine_plot_fields.x
 %memory              2333
-%module_commands     module load PALMDependencies/icc      
+%module_commands     module load PALMDependencies/icc
 #
 # BATCH-directives to be used for batch jobs
@@ -43,5 +44,5 @@
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 IC:export ATP_ENABLED=1
@@ -57,5 +58,4 @@
 # OUTPUT-commands - executed when program terminates normally
 #----------------------------------------------------------------------------
-#
 # Combine 1D- and 3D-profile output (these files are not usable for plotting)
 OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
Index: palm/trunk/SCRIPTS/.palm.config.idefix
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.idefix	(revision 4811)
+++ palm/trunk/SCRIPTS/.palm.config.idefix	(revision 4814)
@@ -6,18 +6,19 @@
 #name of variable  value of variable (~ must not be used)
 #-------------------------------------------------------------------------------
-%base_data          ~/palm/current_version/JOBS
-%base_directory     $HOME/palm/current_version
-%fast_io_catalog    /work/<replace_by_your_IDEFIX_username>
-%local_jobcatalog   $HOME/job_logfiles
-%output_path        /work/<replace_by_your_IDEFIX_username>/JOBS/$run_identifier
-%remote_jobcatalog  $HOME/job_logfiles
-%source_path        $HOME/palm/current_version/trunk/SOURCE
-%user_source_path   $base_directory/JOBS/$run_identifier/USER_CODE
-#
+%base_directory      $HOME/palm/current_version
+%base_data           ~/palm/current_version/JOBS
+%source_path         $HOME/palm/current_version/trunk/SOURCE
+%user_source_path    $base_directory/JOBS/$run_identifier/USER_CODE
+%fast_io_catalog     /work/<replace_by_your_IDEFIX_username>
+%restart_data_path    $fast_io_catalog
+%output_data_path    /work/<replace_by_your_IDEFIX_username>/JOBS/
+%local_jobcatalog    $base_data/$run_identifier/LOG_FILES
+%remote_jobcatalog   $base_data/$run_identifier/LOG_FILES
+
 %local_ip            130.75.105.239
 %local_username      <replace_by_your_IDEFIX_username>
 %defaultqueue        workq
 %submit_command      /opt/pbspro/default/bin/qsub
-#
+
 %compiler_name       mpif90
 %compiler_name_ser   ifort
@@ -28,8 +29,6 @@
 %hostfile            auto
 %module_commands     module load intel-compiler/2017.1.132 mvapich2/2.2/intel fftw/3.3.6-pl1/mvapich2-intel hdf5-parallel/1.10.0-patch1/intel netcdf4_hdf5parallel/4411c_443f/intel
-#
 %execute_command     mpirun  -machinefile hostfile  -n {{mpi_tasks}} palm
-#
-#
+
 # BATCH-directives to be used for batch jobs.
 BD:#!/bin/bash
@@ -40,5 +39,5 @@
 BD:#PBS -j oe
 BD:#PBS -q{{queue}}
-#
+
 # BATCH-directives for batch jobs used to send back the jobfile from a remote to a local host
 BDT:#!/bin/bash
@@ -49,8 +48,7 @@
 BDT:#PBS -j oe
 BDT:#PBS -q workq
-#
-#
+
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 IC:export MV2_ENABLE_AFFINITY=0
@@ -58,5 +56,5 @@
 IC:export MV2_CPU_BINDING_POLICY=scatter
 IC:ulimit -s unlimited
-#
+
 #----------------------------------------------------------------------------
 # ERROR-commands - executed when program terminates abnormally
@@ -64,13 +62,12 @@
 EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
 EC:[[ \$locat = execution ]]  &&  cat  PARTICLE_INFOS/*
-#
+
 #----------------------------------------------------------------------------
 # OUTPUT-commands - executed when program terminates normally
 #----------------------------------------------------------------------------
-#
 # Combine 1D- and 3D-profile output (these files are not usable for plotting)
 OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
 OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
-#
+
 # Combine all particle information files
 OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
Index: palm/trunk/SCRIPTS/.palm.config.imuk
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.imuk	(revision 4811)
+++ palm/trunk/SCRIPTS/.palm.config.imuk	(revision 4814)
@@ -3,12 +3,16 @@
 #name of variable  value of variable (~ must not be used)
 #----------------------------------------------------------------------------
-%base_data         ~/palm/current_version/JOBS
-%base_directory    $HOME/palm/current_version
-%fast_io_catalog   /localdata/<your user directory>
-%source_path       $HOME/palm/current_version/trunk/SOURCE
-%user_source_path  $base_directory/JOBS/$run_identifier/USER_CODE
-#
+%base_directory      $HOME/palm/current_version
+%base_data           ~/palm/current_version/JOBS
+%source_path         $HOME/palm/current_version/trunk/SOURCE
+%user_source_path    $base_directory/JOBS/$run_identifier/USER_CODE
+%fast_io_catalog     /localdata/<your user directory>
+%restart_data_path   $fast_io_catalog
+%output_data_path    $base_data
+%local_jobcatalog    $base_data/$run_identifier/LOG_FILES
+
 %local_ip            130.75.105.<your pc's id>
 %local_username      <username>
+
 %compiler_name       mpif90
 %compiler_name_ser   ifort
@@ -16,13 +20,13 @@
 %make_options        -j 4
 %compiler_options    -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -I /muksoft/packages/fftw/3.3.7/mvapich2-2.3rc1/gnu/include/ -I /muksoft/packages/netcdf4_hdf5parallel/4411c_443f/hdf5-1.10.0-patch1/mvapich2-2.3rc1/intel/2018.1.163/include/
-%linker_options      -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -L/muksoft/packages/fftw/3.3.7/mvapich2-2.3rc1/gnu/lib64/ -lfftw3 -L/muksoft/packages/netcdf4_hdf5parallel/4411c_443f/hdf5-1.10.0-patch1/mvapich2-2.3rc1/intel/2018.1.163/lib64/ -lnetcdf -lnetcdff
+%linker_options      -L/muksoft/packages/fftw/3.3.7/mvapich2-2.3rc1/gnu/lib64/ -lfftw3 -L/muksoft/packages/netcdf4_hdf5parallel/4411c_443f/hdf5-1.10.0-patch1/mvapich2-2.3rc1/intel/2018.1.163/lib64/ -lnetcdf -lnetcdff
 %hostfile            auto
 %execute_command     mpiexec  -machinefile hostfile  -n {{mpi_tasks}}  palm
-#
+
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 IC:ulimit -s unlimited
-#
+
 #----------------------------------------------------------------------------
 # ERROR-commands - executed when program terminates abnormally
@@ -30,13 +34,12 @@
 EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
 EC:[[ \$locat = execution ]]  &&  cat  PARTICLE_INFOS/*
-#
+
 #----------------------------------------------------------------------------
 # OUTPUT-commands - executed when program terminates normally
 #----------------------------------------------------------------------------
-#
 # Combine 1D- and 3D-profile output (these files are not usable for plotting)
 OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
 OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
-#
+
 # Combine all particle information files
 OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
Index: palm/trunk/SCRIPTS/.palm.iofiles
===================================================================
--- palm/trunk/SCRIPTS/.palm.iofiles	(revision 4811)
+++ palm/trunk/SCRIPTS/.palm.iofiles	(revision 4814)
@@ -1,90 +1,87 @@
 #$Id$
 #
-#---------------------------------------------------------------------------------------------
+#------------------------------------------------------------------------------------------------------------
 # List of input-files
-#---------------------------------------------------------------------------------------------
-PARIN                    in:tr      d3#      $base_data/$run_identifier/INPUT          _p3d*
-PARIN                    in:tr      d3r      $base_data/$run_identifier/INPUT          _p3dr*
-PARIN                    in:tr      pcr      $base_data/$run_identifier/INPUT          _pcr*
-NAVIGATION_DATA          inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _nav*
-TOPOGRAPHY_DATA          inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _topo*
-PLANT_CANOPY_DATA_3D     inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _canopy*
-PIDS_STATIC              inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _static*
-PIDS_DYNAMIC             inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _dynamic*
-PIDS_SALSA               inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _salsa*
-PIDS_CHEM                inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _chemistry*
-PIDS_UVEM                inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _uvlookup*
-PIDS_VM                  inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _vmeas*
-PIDS_WTM                 inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _wtmpar*
-rrtmg_lw.nc              inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _rlw
-rrtmg_sw.nc              inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _rsw
-WTM_DATA                 inopt:tr   d3#:d3r  $base_data/$run_identifier/INPUT          _wtm
-BININ                    in:lnpe    d3r:rec  $fast_io_catalog/$run_identifier/RESTART  _d3d*
-PARTICLE_RESTART_DATA_IN in:lnpe    prtr     $fast_io_catalog/$run_identifier/RESTART  _rprt
-SVFIN                    in:lnpe    svfin    $fast_io_catalog/$run_identifier/SVF      _svf*
-DATA_1D_FL_NETCDF        inopt      flr      $base_data/$run_identifier/OUTPUT         _fl*       nc
-DATA_1D_PR_NETCDF        inopt      prr      $base_data/$run_identifier/OUTPUT         _pr*       nc
-DATA_1D_SP_NETCDF        inopt      spr      $base_data/$run_identifier/OUTPUT         _sp*       nc
-DATA_1D_TS_NETCDF        inopt      tsr      $base_data/$run_identifier/OUTPUT         _ts*       nc
-DATA_1D_PTS_NETCDF       inopt      ptsr     $base_data/$run_identifier/OUTPUT         _pts*      nc
-DATA_1D_SPTS_NETCDF      inopt      sptsr    $base_data/$run_identifier/OUTPUT         _spts*     nc
-DATA_2D_XY_NETCDF        inopt      xyr      $base_data/$run_identifier/OUTPUT         _xy*       nc
-DATA_2D_XY_AV_NETCDF     inopt      xyr      $base_data/$run_identifier/OUTPUT         _av_xy*    nc
-DATA_2D_XZ_NETCDF        inopt      xzr      $base_data/$run_identifier/OUTPUT         _xz*       nc
-DATA_2D_XZ_AV_NETCDF     inopt      xzr      $base_data/$run_identifier/OUTPUT         _av_xz*    nc
-DATA_2D_YZ_NETCDF        inopt      yzr      $base_data/$run_identifier/OUTPUT         _yz*       nc
-DATA_2D_YZ_AV_NETCDF     inopt      yzr      $base_data/$run_identifier/OUTPUT         _av_yz*    nc
-DATA_3D_NETCDF           inopt      3dr      $base_data/$run_identifier/OUTPUT         _3d*       nc
-DATA_3D_AV_NETCDF        inopt      3dr      $base_data/$run_identifier/OUTPUT         _av_3d*    nc
-DATA_MASK_NETCDF         inopt      mar      $base_data/$run_identifier/OUTPUT         _masked    nc
-DATA_MASK_AV_NETCDF      inopt      mar      $base_data/$run_identifier/OUTPUT         _av_masked nc
-DATA_PRT_NETCDF          inopt:pe   prtr     $base_data/$run_identifier/OUTPUT         _prt*
+#------------------------------------------------------------------------------------------------------------
+PARIN                    in:tr      d3#        $base_data/$run_identifier/INPUT            _p3d*
+PARIN                    in:tr      d3r        $base_data/$run_identifier/INPUT            _p3dr*
+PARIN                    in:tr      pcr        $base_data/$run_identifier/INPUT            _pcr*
+NAVIGATION_DATA          inopt:tr   d3#:d3r    $base_data/$run_identifier/INPUT            _nav*
+TOPOGRAPHY_DATA          inopt:tr   d3#:d3r    $base_data/$run_identifier/INPUT            _topo*
+PLANT_CANOPY_DATA_3D     inopt:tr   d3#:d3r    $base_data/$run_identifier/INPUT            _canopy*
+PIDS_STATIC              inopt:tr   d3#:d3r    $base_data/$run_identifier/INPUT            _static*
+PIDS_DYNAMIC             inopt:tr   d3#:d3r    $base_data/$run_identifier/INPUT            _dynamic*
+PIDS_SALSA               inopt:tr   d3#:d3r    $base_data/$run_identifier/INPUT            _salsa*
+PIDS_CHEM                inopt:tr   d3#:d3r    $base_data/$run_identifier/INPUT            _chemistry*
+PIDS_UVEM                inopt:tr   d3#:d3r    $base_data/$run_identifier/INPUT            _uvlookup*
+PIDS_VM                  inopt:tr   d3#:d3r    $base_data/$run_identifier/INPUT            _vmeas*
+PIDS_WTM                 inopt:tr   d3#:d3r    $base_data/$run_identifier/INPUT            _wtmpar*
+rrtmg_lw.nc              inopt:tr   d3#:d3r    $base_data/$run_identifier/INPUT            _rlw
+rrtmg_sw.nc              inopt:tr   d3#:d3r    $base_data/$run_identifier/INPUT            _rsw
+WTM_DATA                 inopt:tr   d3#:d3r    $base_data/$run_identifier/INPUT            _wtm
+BININ                    in:lnpe    d3r:cyclic $restart_data_path/$run_identifier/RESTART  _d3d*
+PARTICLE_RESTART_DATA_IN in:lnpe    prtr       $restart_data_path/$run_identifier/RESTART  _rprt
+SVFIN                    in:lnpe    svfin      $restart_data_path/$run_identifier/SVF      _svf*
+DATA_1D_FL_NETCDF        inopt      flr        $output_data_path/$run_identifier/OUTPUT    _fl*       nc
+DATA_1D_PR_NETCDF        inopt      prr        $output_data_path/$run_identifier/OUTPUT    _pr*       nc
+DATA_1D_PTS_NETCDF       inopt      ptsr       $output_data_path/$run_identifier/OUTPUT    _pts*      nc
+DATA_1D_SP_NETCDF        inopt      spr        $output_data_path/$run_identifier/OUTPUT    _sp*       nc
+DATA_1D_SPTS_NETCDF      inopt      sptsr      $output_data_path/$run_identifier/OUTPUT    _spts*     nc
+DATA_1D_TS_NETCDF        inopt      tsr        $output_data_path/$run_identifier/OUTPUT    _ts*       nc
+DATA_2D_XY_AV_NETCDF     inopt      xyr        $output_data_path/$run_identifier/OUTPUT    _av_xy*    nc
+DATA_2D_XY_NETCDF        inopt      xyr        $output_data_path/$run_identifier/OUTPUT    _xy*       nc
+DATA_2D_XZ_AV_NETCDF     inopt      xzr        $output_data_path/$run_identifier/OUTPUT    _av_xz*    nc
+DATA_2D_XZ_NETCDF        inopt      xzr        $output_data_path/$run_identifier/OUTPUT    _xz*       nc
+DATA_2D_YZ_AV_NETCDF     inopt      yzr        $output_data_path/$run_identifier/OUTPUT    _av_yz*    nc
+DATA_2D_YZ_NETCDF        inopt      yzr        $output_data_path/$run_identifier/OUTPUT    _yz*       nc
+DATA_3D_NETCDF           inopt      3dr        $output_data_path/$run_identifier/OUTPUT    _3d*       nc
+DATA_3D_AV_NETCDF        inopt      3dr        $output_data_path/$run_identifier/OUTPUT    _av_3d*    nc
+DATA_MASK_AV_NETCDF      inopt      mar        $output_data_path/$run_identifier/OUTPUT    _av_masked nc
+DATA_MASK_NETCDF         inopt      mar        $output_data_path/$run_identifier/OUTPUT    _masked    nc
+#DATA_PRT_NETCDF          inopt:pe   prtr       $output_data_path/$run_identifier/OUTPUT    _prt*      nc
 #
-#---------------------------------------------------------------------------------------------
+#------------------------------------------------------------------------------------------------------------
 # List of output-files
-#---------------------------------------------------------------------------------------------
-BINOUT*                    out:lnpe restart   $fast_io_catalog/$run_identifier/RESTART  _d3d
-PARTICLE_RESTART_DATA_OUT* out:lnpe prt#:prtr $fast_io_catalog/$run_identifier/RESTART  _rprt
-SVFOUT*                    out:lnpe svfout    $fast_io_catalog/$run_identifier/SVF      _svf
+#------------------------------------------------------------------------------------------------------------
+BINOUT*                    out:lnpe restart:pcr $restart_data_path/$run_identifier/RESTART    _d3d
+PARTICLE_RESTART_DATA_OUT* out:lnpe prt#:prtr   $restart_data_path/$run_identifier/RESTART    _rprt
+SVFOUT*                    out:lnpe svfout      $restart_data_path/$run_identifier/SVF        _svf
 #
-STDOUT*                    out:tr   d3#:pcr   $base_data/$run_identifier/MONITORING     _stdout
-STDOUT*                    out:tra  d3r       $base_data/$run_identifier/MONITORING     _stdout
-RUN_CONTROL*               out:tr   d3#:pcr   $base_data/$run_identifier/MONITORING     _rc
-RUN_CONTROL*               out:tra  d3r       $base_data/$run_identifier/MONITORING     _rc
-HEADER*                    out:tr   d3#:pcr   $base_data/$run_identifier/MONITORING     _header
-HEADER*                    out:tra  d3r       $base_data/$run_identifier/MONITORING     _header
-CPU_MEASURES*              out:tr   d3#:pcr   $base_data/$run_identifier/MONITORING     _cpu
-CPU_MEASURES*              out:tra  d3r       $base_data/$run_identifier/MONITORING     _cpu
-PARTICLE_INFO*             out:tr   pt#       $base_data/$run_identifier/MONITORING     _prt_info
-PARTICLE_INFO*             out:tra  ptr       $base_data/$run_identifier/MONITORING     _prt_info
-LIST_PROFIL*               out:tr   *         $base_data/$run_identifier/MONITORING     _list_pr
+PARIN*                     out:tr   d3#:d3r:pcr $output_data_path/$run_identifier/MONITORING  _parin
+STDOUT*                    out:tr   d3#:d3r:pcr $output_data_path/$run_identifier/MONITORING  _stdout
+RUN_CONTROL*               out:tr   d3#:d3r:pcr $output_data_path/$run_identifier/MONITORING  _rc
+HEADER*                    out:tr   d3#:d3r:pcr $output_data_path/$run_identifier/MONITORING  _header
+CPU_MEASURES*              out:tr   d3#:d3r:pcr $output_data_path/$run_identifier/MONITORING  _cpu
+PARTICLE_INFOS*            out:tr   *           $output_data_path/$run_identifier/MONITORING  _prt_info
+LIST_PROFIL*               out:tr   *           $output_data_path/$run_identifier/MONITORING  _list_pr
 #
-SURFACE_DATA_BIN*          out:lnpe *         $base_data/$run_identifier/OUTPUT         _surf
-SURFACE_DATA_AV_BIN*       out:lnpe *         $base_data/$run_identifier/OUTPUT         _av_surf
-SURFACE_DATA_NETCDF*       out:tr   *         $base_data/$run_identifier/OUTPUT         _surf      nc
-SURFACE_DATA_AV_NETCDF*    out:tr   *         $base_data/$run_identifier/OUTPUT         _av_surf   nc
-#
-DATA_1D_FL_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _fl        nc
-DATA_1D_PR_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _pr        nc
-DATA_1D_SP_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _sp        nc
-DATA_1D_TS_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _ts        nc
-DATA_1D_PTS_NETCDF*        out:tr   *         $base_data/$run_identifier/OUTPUT         _pts       nc
-DATA_1D_SPTS_NETCDF*       out:tr   *         $base_data/$run_identifier/OUTPUT         _spts      nc
-DATA_2D_XY_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _xy        nc
-DATA_2D_XY_AV_NETCDF*      out:tr   *         $base_data/$run_identifier/OUTPUT         _av_xy     nc
-DATA_2D_XZ_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _xz        nc
-DATA_2D_XZ_AV_NETCDF*      out:tr   *         $base_data/$run_identifier/OUTPUT         _av_xz     nc
-DATA_2D_YZ_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _yz        nc
-DATA_2D_YZ_AV_NETCDF*      out:tr   *         $base_data/$run_identifier/OUTPUT         _av_yz     nc
-DATA_3D_NETCDF*            out:tr   *         $base_data/$run_identifier/OUTPUT         _3d        nc
-DATA_3D_AV_NETCDF*         out:tr   *         $base_data/$run_identifier/OUTPUT         _av_3d     nc
-DATA_MASK_NETCDF*          out:tr   *         $base_data/$run_identifier/OUTPUT         _masked    nc
-DATA_MASK_AV_NETCDF*       out:tr   *         $base_data/$run_identifier/OUTPUT         _av_masked nc
-DATA_AGT_NETCDF*           out:tr   *         $base_data/$run_identifier/OUTPUT         _agt       nc
-VM_OUTPUT*                 out:pe   *         $base_data/$run_identifier/OUTPUT         _vm
-#
-DATA_PRT_NETCDF*           out:pe   *         $base_data/$run_identifier/OUTPUT         _prt
-DATA_PRT_NETCDF*           out:trpe *         $base_data/$run_identifier/OUTPUT         _prt
-PARTICLE_DATA*             out:lnpe *         $base_data/$run_identifier/OUTPUT         _prt_dat
-#
-DATA_1D_TS_WTM_NETCDF*     out:tr   *         $base_data/$run_identifier/OUTPUT          _wtm       nc
+DATA_1D_FL_NETCDF*         out:tr   *           $output_data_path/$run_identifier/OUTPUT      _fl          nc
+DATA_1D_PR_NETCDF*         out:tr   *           $output_data_path/$run_identifier/OUTPUT      _pr          nc
+DATA_1D_PTS_NETCDF*        out:tr   *           $output_data_path/$run_identifier/OUTPUT      _pts         nc
+DATA_1D_SP_NETCDF*         out:tr   *           $output_data_path/$run_identifier/OUTPUT      _sp          nc
+DATA_1D_SPTS_NETCDF*       out:tr   *           $output_data_path/$run_identifier/OUTPUT      _spts        nc
+DATA_1D_TS_NETCDF*         out:tr   *           $output_data_path/$run_identifier/OUTPUT      _ts          nc
+DATA_1D_TS_WTM_NETCDF*     out:tr   *           $output_data_path/$run_identifier/OUTPUT      _wtm         nc
+DATA_2D_XY_AV_NETCDF*      out:tr   *           $output_data_path/$run_identifier/OUTPUT      _av_xy       nc
+DATA_2D_XY_NETCDF*         out:tr   *           $output_data_path/$run_identifier/OUTPUT      _xy          nc
+DATA_2D_XZ_AV_NETCDF*      out:tr   *           $output_data_path/$run_identifier/OUTPUT      _av_xz       nc
+DATA_2D_XZ_NETCDF*         out:tr   *           $output_data_path/$run_identifier/OUTPUT      _xz          nc
+DATA_2D_YZ_AV_NETCDF*      out:tr   *           $output_data_path/$run_identifier/OUTPUT      _av_yz       nc
+DATA_2D_YZ_NETCDF*         out:tr   *           $output_data_path/$run_identifier/OUTPUT      _yz          nc
+DATA_3D_AV_NETCDF*         out:tr   *           $output_data_path/$run_identifier/OUTPUT      _av_3d       nc
+DATA_3D_NETCDF*            out:tr   *           $output_data_path/$run_identifier/OUTPUT      _3d          nc
+DATA_AGT_NETCDF*           out:tr   *           $output_data_path/$run_identifier/OUTPUT      _agt         nc
+DATA_MASK_AV_NETCDF*       out:tr   *           $output_data_path/$run_identifier/OUTPUT      _av_masked   nc
+DATA_MASK_NETCDF*          out:tr   *           $output_data_path/$run_identifier/OUTPUT      _masked      nc
+#DATA_PRT_NETCDF*           out:pe   *           $output_data_path/$run_identifier/OUTPUT      _prt         nc
+#DATA_PRT_NETCDF*           out:trpe *           $output_data_path/$run_identifier/OUTPUT      _prt         nc
+PARTICLE_DATA*             out:lnpe *           $output_data_path/$run_identifier/OUTPUT      _prt_bin
+SURFACE_DATA_AV_BIN*       out:lnpe *           $output_data_path/$run_identifier/OUTPUT      _av_surf_bin
+SURFACE_DATA_BIN*          out:lnpe *           $output_data_path/$run_identifier/OUTPUT      _surf_bin
+SURFACE_DATA_AV_NETCDF*    out:tr   *           $output_data_path/$run_identifier/OUTPUT      _av_surf     nc
+SURFACE_DATA_NETCDF*       out:tr   *           $output_data_path/$run_identifier/OUTPUT      _surf        nc
+VM_OUTPUT*                 out:pe   *           $output_data_path/$run_identifier/OUTPUT      _vm
+#------------------------------------------------------------------------------------------------------------
+# Deprecated settings (will be removed in a future revision)
+#------------------------------------------------------------------------------------------------------------
+BININ                      in:lnpe  rec         $restart_data_path/$run_identifier/RESTART  _d3d*
